<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzSaldosDeudoresConLasAdministracionesPublicas" xlink:label="adolfodominguez_AdzSaldosDeudoresConLasAdministracionesPublicas" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzGananciaPerdidaAtribuibleALosPropietariosDeLaDominanteBalance" xlink:label="adolfodominguez_AdzGananciaPerdidaAtribuibleALosPropietariosDeLaDominanteBalance" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzSaldosAcreedoresConLasAdministracionesPublicas" xlink:label="adolfodominguez_AdzSaldosAcreedoresConLasAdministracionesPublicas" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzMargenDeContribucion" xlink:label="adolfodominguez_AdzMargenDeContribucion" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzDeterioroYResultadoPorEnajenacionesDelInmovilizado" xlink:label="adolfodominguez_AdzDeterioroYResultadoPorEnajenacionesDelInmovilizado" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzDeterioroYResultadoPorEnajenacionesDeInstrumentosFinancieros" xlink:label="adolfodominguez_AdzDeterioroYResultadoPorEnajenacionesDeInstrumentosFinancieros" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzReservasEnSociedadesConsolidadasMember" xlink:label="adolfodominguez_AdzReservasEnSociedadesConsolidadasMember" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzReservasAcumuladasMember" xlink:label="adolfodominguez_AdzReservasAcumuladasMember" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzProfitLossAttributableToOwnersOfParentMember" xlink:label="adolfodominguez_AdzProfitLossAttributableToOwnersOfParentMember" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzAltaDePagosBasadosEnInstrumentosDePatrimonioNeto" xlink:label="adolfodominguez_AdzAltaDePagosBasadosEnInstrumentosDePatrimonioNeto" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_OtrasVariaciones" xlink:label="adolfodominguez_OtrasVariaciones" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_VariacionDeProvisiones" xlink:label="adolfodominguez_VariacionDeProvisiones" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_ResultadosPorBajasYEnajenacionesDelInmovilizado" xlink:label="adolfodominguez_ResultadosPorBajasYEnajenacionesDelInmovilizado" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzResultadosPorBajaYEnajenacionDeInstrumentosFinancieros" xlink:label="adolfodominguez_AdzResultadosPorBajaYEnajenacionDeInstrumentosFinancieros" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzAdquisicionDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias" xlink:label="adolfodominguez_AdzAdquisicionDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzCobrosPorLaEnajenacionODisposicionPorOtraViaDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias" xlink:label="adolfodominguez_AdzCobrosPorLaEnajenacionODisposicionPorOtraViaDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="95980020140005666335-2026-02-28.xsd#adolfodominguez_AdzCobrosYReembolsosDePrestamosTomadosClasificadosComoActividadesDeFinanciacion" xlink:label="adolfodominguez_AdzCobrosYReembolsosDePrestamosTomadosClasificadosComoActividadesDeFinanciacion" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzSaldosDeudoresConLasAdministracionesPublicas" xlink:to="label_adolfodominguez_adolfodominguezAdzSaldosDeudoresConLasAdministracionesPublicas_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzGananciaPerdidaAtribuibleALosPropietariosDeLaDominanteBalance" xlink:to="label_adolfodominguez_adolfodominguezAdzGananciaPerdidaAtribuibleALosPropietariosDeLaDominanteBalance_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzSaldosAcreedoresConLasAdministracionesPublicas" xlink:to="label_adolfodominguez_adolfodominguezAdzSaldosAcreedoresConLasAdministracionesPublicas_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzMargenDeContribucion" xlink:to="label_adolfodominguez_adolfodominguezAdzMargenDeContribucion_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzDeterioroYResultadoPorEnajenacionesDelInmovilizado" xlink:to="label_adolfodominguez_adolfodominguezAdzDeterioroYResultadoPorEnajenacionesDelInmovilizado_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzDeterioroYResultadoPorEnajenacionesDeInstrumentosFinancieros" xlink:to="label_adolfodominguez_adolfodominguezAdzDeterioroYResultadoPorEnajenacionesDeInstrumentosFinancieros_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzReservasEnSociedadesConsolidadasMember" xlink:to="label_adolfodominguez_AdzReservasEnSociedadesConsolidadasMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzReservasAcumuladasMember" xlink:to="label_adolfodominguez_AdzReservasAcumuladasMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzProfitLossAttributableToOwnersOfParentMember" xlink:to="label_adolfodominguez_AdzProfitLossAttributableToOwnersOfParentMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzAltaDePagosBasadosEnInstrumentosDePatrimonioNeto" xlink:to="label_adolfodominguez_adolfodominguezAdzAltaDePagosBasadosEnInstrumentosDePatrimonioNeto_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_OtrasVariaciones" xlink:to="label_adolfodominguez_adolfodominguezOtrasVariaciones_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_adolfodominguez_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_VariacionDeProvisiones" xlink:to="label_adolfodominguez_adolfodominguezVariacionDeProvisiones_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_ResultadosPorBajasYEnajenacionesDelInmovilizado" xlink:to="label_adolfodominguez_adolfodominguezResultadosPorBajasYEnajenacionesDelInmovilizado_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzResultadosPorBajaYEnajenacionDeInstrumentosFinancieros" xlink:to="label_adolfodominguez_adolfodominguezAdzResultadosPorBajaYEnajenacionDeInstrumentosFinancieros_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_adolfodominguez_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzAdquisicionDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias" xlink:to="label_adolfodominguez_adolfodominguezAdzAdquisicionDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzCobrosPorLaEnajenacionODisposicionPorOtraViaDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias" xlink:to="label_adolfodominguez_adolfodominguezAdzCobrosPorLaEnajenacionODisposicionPorOtraViaDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_adolfodominguez_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="adolfodominguez_AdzCobrosYReembolsosDePrestamosTomadosClasificadosComoActividadesDeFinanciacion" xlink:to="label_adolfodominguez_adolfodominguezAdzCobrosYReembolsosDePrestamosTomadosClasificadosComoActividadesDeFinanciacion_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzSaldosDeudoresConLasAdministracionesPublicas_Standard" id="adolfodominguez_adolfodominguezAdzSaldosDeudoresConLasAdministracionesPublicas_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Saldos deudores con las administraciones públicas</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzGananciaPerdidaAtribuibleALosPropietariosDeLaDominanteBalance_Standard" id="adolfodominguez_adolfodominguezAdzGananciaPerdidaAtribuibleALosPropietariosDeLaDominanteBalance_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Ganancia (pérdida) atribuible a los propietarios de la dominante  Balance</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzSaldosAcreedoresConLasAdministracionesPublicas_Standard" id="adolfodominguez_adolfodominguezAdzSaldosAcreedoresConLasAdministracionesPublicas_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Saldos acreedores con las administraciones públicas</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzMargenDeContribucion_Standard" id="adolfodominguez_adolfodominguezAdzMargenDeContribucion_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">MARGEN DE CONTRIBUCION</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzDeterioroYResultadoPorEnajenacionesDelInmovilizado_Standard" id="adolfodominguez_adolfodominguezAdzDeterioroYResultadoPorEnajenacionesDelInmovilizado_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Deterioro y resultado por enajenaciones del inmovilizado</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzDeterioroYResultadoPorEnajenacionesDeInstrumentosFinancieros_Standard" id="adolfodominguez_adolfodominguezAdzDeterioroYResultadoPorEnajenacionesDeInstrumentosFinancieros_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Deterioro y resultado por enajenaciones de instrumentos financieros</label>
    <label xlink:label="label_adolfodominguez_AdzReservasEnSociedadesConsolidadasMember" id="adolfodominguez_AdzReservasEnSociedadesConsolidadasMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Adz Reservas en sociedades consolidadas member</label>
    <label xlink:label="label_adolfodominguez_AdzReservasAcumuladasMember" id="adolfodominguez_AdzReservasAcumuladasMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Adz Reservas Acumuladas Member</label>
    <label xlink:label="label_adolfodominguez_AdzProfitLossAttributableToOwnersOfParentMember" id="adolfodominguez_AdzProfitLossAttributableToOwnersOfParentMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Adz Profit loss attributable to owners of parent member</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzAltaDePagosBasadosEnInstrumentosDePatrimonioNeto_Standard" id="adolfodominguez_adolfodominguezAdzAltaDePagosBasadosEnInstrumentosDePatrimonioNeto_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Alta de pagos basados en instrumentos de patrimonio neto</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezOtrasVariaciones_Standard" id="adolfodominguez_adolfodominguezOtrasVariaciones_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Otras variaciones</label>
    <label xlink:label="label_adolfodominguez_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="adolfodominguez_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Flujos de efectivo procedentes de (utilizados en) actividades de explotación</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezVariacionDeProvisiones_Standard" id="adolfodominguez_adolfodominguezVariacionDeProvisiones_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Variación de provisiones</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezResultadosPorBajasYEnajenacionesDelInmovilizado_Standard" id="adolfodominguez_adolfodominguezResultadosPorBajasYEnajenacionesDelInmovilizado_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Resultados por bajas y enajenaciones del inmovilizado</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzResultadosPorBajaYEnajenacionDeInstrumentosFinancieros_Standard" id="adolfodominguez_adolfodominguezAdzResultadosPorBajaYEnajenacionDeInstrumentosFinancieros_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Resultados por bajas y enajenaciones de instrumentos financieros</label>
    <label xlink:label="label_adolfodominguez_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="adolfodominguez_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Flujos de efectivo procedentes de (utilizados en) actividades de inversión</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzAdquisicionDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias_Standard" id="adolfodominguez_adolfodominguezAdzAdquisicionDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Adquisición de Inmovilizado material, intangible e inversiones inmobiliarias</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzCobrosPorLaEnajenacionODisposicionPorOtraViaDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias_Standard" id="adolfodominguez_adolfodominguezAdzCobrosPorLaEnajenacionODisposicionPorOtraViaDeInmovilizadoMaterialIntangibleEInversionesInmobiliarias_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Cobros por la enajenación o disposición por otra vía de inmovilizado material, intangible e inversiones inmobiliarias</label>
    <label xlink:label="label_adolfodominguez_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="adolfodominguez_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="es">Flujos de efectivo procedentes de (utilizados en) actividades de financiación</label>
    <label xlink:label="label_adolfodominguez_adolfodominguezAdzCobrosYReembolsosDePrestamosTomadosClasificadosComoActividadesDeFinanciacion_Standard" id="adolfodominguez_adolfodominguezAdzCobrosYReembolsosDePrestamosTomadosClasificadosComoActividadesDeFinanciacion_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="es">Cobros y Reembolsos de préstamos tomados, clasificados como actividades de financiación</label>
  </labelLink>
</linkbase>